%global momorel 1
%global qtver 4.5.2
%global qtdir %{_libdir}/qt4

Name:		qtwitter
Version:	0.9.2
Release:	%{momorel}m%{?dist}
Summary:	A Qt-based client for Twitter and Identi.ca
Group:		Applications/Internet
License:	LGPL
URL:		http://qtwitter.ayoy.net
Source0:	http://files.ayoy.net/qtwitter/release/%{version}/src/%{name}-%{version}-src.tar.gz
NoSource:	0
Patch0:		qtwitter-0.9.0-no-auto-update.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt-devel >= %{qtver}
BuildRequires:	qoauth-devel
Requires:	qt-x11
Requires:	qoauth

%description
qTwitter is an application interacting with Twitter and Identi.ca social
networks.

%package devel
Summary: Development files for %{name} support library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains documentation and headers required to build applications
using qtwitter.

%prep
%setup -q
%patch0 -p1 -b .no-auto-update

sed -i "s!\$\${INSTALL_PREFIX}\/lib!%{_libdir}!" \
    twitterapi/twitterapi.pro urlshortener/urlshortener.pro
sed -i -e '/doc \\/d' -e '/-Wl,-rpath,\$\${TOP}/d' qtwitter-app/qtwitter-app.pro

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README CHANGELOG LICENSE
%{_bindir}/%{name}
%{_libdir}/lib*.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/scalable/apps/*.svg

%files devel
%defattr(-,root,root,-)
%{_includedir}/twitterapi
%{_includedir}/urlshortener
%{_libdir}/lib*.so

%changelog
* Sun Oct 12 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Sun Sep 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-2m)
- update no-auto-update patch

* Sat Sep 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-1m)
- update to 0.9.0

* Sun Sep  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.3-1m)
- initial build for Momonga Linux

